diff --git a/src/backend/storage/ipc/procarray.c b/src/backend/storage/ipc/procarray.c
index 1a83c4220b..d385ebd065 100644
--- a/src/backend/storage/ipc/procarray.c
+++ b/src/backend/storage/ipc/procarray.c
@@ -3857,7 +3857,9 @@ TerminateOtherDBBackends(Oid databaseId)
 		 * Check whether we have the necessary rights to terminate other
 		 * sessions.  We don't terminate any session until we ensure that we
 		 * have rights on all the sessions to be terminated.  These checks are
-		 * the same as we do in pg_terminate_backend.
+		 * the same as we do in pg_terminate_backend except that we don't treat
+		 * the process not advertising a role to have the same importance as of
+		 * a superuser-owned backend.
 		 *
 		 * In this case we don't raise some warnings - like "PID %d is not a
 		 * PostgreSQL server process", because for us already finished session
